Skip to main content
GET
List node usage

Authorizations

Authorization
string
header
required

Chainstack API uses API keys to authenticate requests. You can view and manage your API keys in the platform UI. Your API keys carry many privileges, so be sure to keep them secure! Provide your API key as the Authorization header. The value of the header consists of Bearer prefix and secret key generated through the platform UI.

All API requests must be made over HTTPS.

Query Parameters

date_from
string<date-time>

Start of the reporting period, inclusive, as an ISO 8601 datetime.
Defaults to the start of your organization's current metered billing period.
Cannot be earlier than the first day of the previous calendar month — usage data is retained for 2 months.

Example:

"2026-07-01T00:00:00Z"

date_to
string<date-time>

End of the reporting period as an ISO 8601 datetime. Must be later than date_from.
Defaults to the end of your organization's current metered billing period.

Example:

"2026-07-17T00:00:00Z"

node_id
string

Filter by node ID. Accepts a comma-separated list (ND-123-456-789,ND-987-654-321).

protocol
string

Filter by protocol. Accepts a comma-separated list (ethereum,solana).

network
string

Filter by the network's public internal name, prefixed by protocol (ethereum-mainnet, ethereum-sepolia-testnet). Accepts a comma-separated list.

node_type
enum<string>

Filter by node type. Omit to include both types.

Available options:
elastic,
dedicated
granularity
enum<string>
default:day

Size of the time bucket the usage is aggregated into.

Available options:
day,
hour
ordering
string
default:-datetime,node_id

Which fields to use when ordering the results — a comma-separated list of datetime and node_id.
Use the - prefix to perform descending ordering (-datetime).

page
integer

A page number within the paginated result set.

Response

count
integer

Number of the objects in the paginated results.

Example:

123

next
string | null

Link to the next page.

previous
string | null

Link to the previous page.

results
object[]
totals
object
read-only

Dataset-wide totals across every row matching the filters, not just the current page.

Last modified on July 20, 2026